## org.apache.poi.xslf.usermodel
Enum LineEndWidth

    java.lang.Object
      java.lang.Enum<LineEndWidth>
          org.apache.poi.xslf.usermodel.LineEndWidth

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineEndWidth>

    public enum LineEndWidth

extends java.lang.Enum<LineEndWidth>

Author:
  Yegor Kozlov

Enum Constant Summary
`LARGE`
`MEDIUM`
`SMALL`

Method Summary
`static LineEndWidth` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineEndWidth[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SMALL

    public static final LineEndWidth SMALL

### MEDIUM

    public static final LineEndWidth MEDIUM

### LARGE

    public static final LineEndWidth LARGE

Method Detail

### values

    public static LineEndWidth[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineEndWidth c : LineEndWidth.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineEndWidth valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.